.popup__overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
}

.popup__overlay.popup--is-multiple {
  background-color: rgba(0, 0, 0, 0.25);
}

.popup {
  max-width: 100%;
  max-height: 80vh;
  overflow-y: scroll;

  background-image: url('/modules/tuxemon/mods/tuxemon/gfx/ui/background/spyder_empty.png');
  background-size: cover;
  background-position: center;
}




.menu-button {
  font-size: 1.5rem;
  border: 1px solid #000;
  padding: 0.4em 0.75em;
  line-height: 1em;
  cursor: pointer;
  background-color: rgba(255, 255, 255, 0.9);
}

.menu-button:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

.menu-button[disabled] {
  filter: grayscale(100%);
  opacity: 0.5;
}




.tabs {
  display: grid;
}

.tabs > input {
  display: none;
}

.tabs > input:checked + .tabs__tab-heading {
  background-color: rgba(255, 255, 255, 0.75);
}
.tabs__tab-heading {
  cursor: pointer;
  background-color: rgba(0, 0, 0, 0.1);
  text-align: center;
}

.tabs__panels {
  grid-column: 1 / -1;
}

.tabs__tab-panel {
  display: none;
}

.tabs > input:nth-child(1):checked ~ .tabs__panels > .tabs__tab-panel:nth-child(1),
.tabs > input:nth-child(3):checked ~ .tabs__panels > .tabs__tab-panel:nth-child(2),
.tabs > input:nth-child(5):checked ~ .tabs__panels > .tabs__tab-panel:nth-child(3),
.tabs > input:nth-child(7):checked ~ .tabs__panels > .tabs__tab-panel:nth-child(4),
.tabs > input:nth-child(9):checked ~ .tabs__panels > .tabs__tab-panel:nth-child(5),
.tabs > input:nth-child(11):checked ~ .tabs__panels > .tabs__tab-panel:nth-child(6) {
  display: block;
}




.monster-selection {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}




.selection-modes {
  display: grid;
  grid-template-columns: repeat(var(--selection-modes, 2), 1fr);
  padding: 1rem;
}

.selection-modes button[selected] {
  border-color: var(--color-success);
  color: var(--color-success);
}




#status {
  color: #fff;
  background-color: #000;
  padding: 0.5rem;
  font-size: 1.25rem;
}

#status > div + div {
  margin-top: 0.25rem;
}

.status__area > span {
  display: flex;
  justify-content: center;
  align-items: center;
}
.status__area > span > span {
  margin: 0 0.5rem;
}
.status__area img {
  cursor: pointer;
}

.status__numbers {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}
.status__numbers > span {
  display: flex;
  align-items: center;
}
.status__numbers > span:nth-child(2) {
  justify-content: center;
}
.status__numbers > span:nth-child(3) {
  justify-content: flex-end;
}
.status__numbers > span > span {
  margin-left: 0.5rem;
}

.status__actions {
  display: flex;
  justify-content: space-between;
}
.status__actions .menu-button:hover {
  background-color: rgba(255, 255, 255, 0.5);
}




.map {
  width: 100vw;
  max-width: 750px;
  background-color: #000;
}




#menu {
  display: grid;
  grid-template-columns: 1fr 1fr;
  text-align: center;
  background-color: beige;
}
#menu > div {
  cursor: pointer;
  padding: 1rem;
}
#menu > div:hover {
  background-color: rgba(0, 0, 0, 0.05);
}


#menu__catch[disabled] {
  filter: grayscale(100%);
}




.party__monsters {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.party__monster {
  cursor: pointer;
  padding: 0.75rem;
  text-align: center;
  font-size: 0.75rem;
}
.party__monster:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

.party__selection-modes {
  --selection-modes: 3;
}




.monster-stats {
  padding: 0.5rem;
}

.monster-stats__identity {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.monster-stats table {
  width: 100%;
}

.monster-stats table th {
  text-align: left;
}

.monster-stats table td {
  text-align: right;
}

.monster-stats button {
  width: 100%;
  margin-top: 1rem;
}

.gender-icon {
  line-height: 1em;
}




.area-selection {
  padding: 1rem;
}

.area-selection__item {
  display: grid;
  grid-template-columns: 2.5rem 1fr;
}

.area-selection__item + .area-selection__item {
  margin-top: 1rem;
}

.area-selection__item > span {
  text-align: center;
}




.inventory__popup {
  align-items: start;
}
.inventory__popup .popup {
  margin-top: 10vh;
}

.inventory .tabs__tab-heading {
  font-size: 1.25rem;
}

.inventory__tab {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.inventory__item {
  padding: 0.5rem;
  text-align: center;
  cursor: pointer;
}

.inventory__monster-selection {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.item-info {
  padding: 1rem;
}




.menu__journal {
  display: flex;
  flex-direction: column;
}

.menu__journal button {
  margin: 0.5em;
  font-size: 5rem;
  padding: 1em 1em;

  display: flex;
  justify-content: center;
  align-items: center;
}

.menu__journal button img {
  margin-right: 0.25em;
  width: 1em;
  height: 1em;
}


.dialog__save {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.dialog__save textarea {
  width: 80vw;
  height: 60vh;
}
.dialog__save button {
  font-size: 2rem;
  width: 80vw;
}


.dialog__load {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.dialog__load textarea {
  width: 80vw;
  height: 60vh;
}
.dialog__load button {
  font-size: 2rem;
  width: 80vw;
}




.menu__settings {
  padding: 1rem;
  display: grid;
  grid-gap: 1rem;
}

.menu__settings table {
  border-collapse: collapse;
}

.menu__settings table th {
  font-weight: normal;
  text-align: left;
  vertical-align: top;
}

.menu__settings table tr:not(:last-child) > * {
  padding-bottom: 1rem;
}

.menu__settings input,
.menu__settings select {
  width: 100%;
}

.menu__settings select {
  text-align: center;
}

.setting-highlight {
  border: 2px solid yellow !important;
}

.setting-highlight--map svg [data-interactable],
.setting-highlight--map svg [data-location],
.setting-highlight--map svg [data-area],
.setting-highlight--map svg [data-encounter] {
  stroke: yellow;
  stroke-width: 2px;
}




.load-popup {
  padding: 1rem;
  min-width: 50vw;
  z-index: 420;
}

.load-popup__title {
  margin: 0;
  margin-bottom: 1rem;
  text-align: center;
}

.load-popup__bar {
  width: 100%;
  height: 1rem;

  appearance: none;
  border-radius: 0.25rem;
}

.load-popup__text {
  text-align: center;
}




.story__popup {
  padding: 1rem;
  max-width: 100vw;
  width: 360px;

  display: grid;
  grid-gap: 1rem;

  text-align: center;
}

.story__popup .text {
  font-size: 1.2rem;
}
